"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _WrappedComponent = _interopRequireDefault(require("./WrappedComponent"));

var _space2 = require("../utils/space");

var _size2 = require("../utils/text/size");

var _weight2 = require("../utils/text/weight");

var _color2 = require("../utils/text/color");

var _align2 = require("../utils/text/align");

var _letterSpacing = require("../utils/text/letterSpacing");

var _border2 = require("../utils/border");

var _manipulation = require("../utils/text/manipulation");

var _fontStyle2 = require("../utils/text/fontStyle");

var _lineHeight2 = require("../utils/text/lineHeight");

var _deco2 = require("../utils/text/deco");

var _opacity2 = require("../utils/opacity");

var _flattenStyle = require("../utils/flattenStyle");

var _fontFamily2 = require("../utils/text/fontFamily");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Text = ({
  theme,
  border,
  color,
  m,
  margin,
  mb,
  marginBottom,
  mt,
  marginTop,
  mr,
  marginRight,
  ml,
  marginLeft,
  my,
  marginVertical,
  mx,
  marginHorizontal,
  p,
  padding,
  pb,
  paddingBottom,
  pt,
  paddingTop,
  pr,
  paddingRight,
  pl,
  paddingLeft,
  px,
  paddingHorizontal,
  py,
  paddingVertical,
  ls,
  letterSpacing,
  lowercase,
  uppercase,
  capitalize,
  capitalizeEach,
  thousand,
  font,
  fontFamily,
  center,
  right,
  left,
  lineH,
  lineHeight,
  size,
  fontSize,
  bold,
  normal,
  light,
  weight,
  fontWeight,
  o,
  opacity,
  italic,
  deco,
  textDecoration,
  style: customStyle,
  children,
  ...rest
}) => {
  const _space = (0, _space2.spaceUtils)({
    m: m !== null && m !== void 0 ? m : margin,
    mb: mb !== null && mb !== void 0 ? mb : marginBottom,
    mt: mt !== null && mt !== void 0 ? mt : marginTop,
    mr: mr !== null && mr !== void 0 ? mr : marginRight,
    ml: ml !== null && ml !== void 0 ? ml : marginLeft,
    my: my !== null && my !== void 0 ? my : marginVertical,
    mx: mx !== null && mx !== void 0 ? mx : marginHorizontal,
    p: p !== null && p !== void 0 ? p : padding,
    pb: pb !== null && pb !== void 0 ? pb : paddingBottom,
    py: py !== null && py !== void 0 ? py : paddingVertical,
    pt: pt !== null && pt !== void 0 ? pt : paddingTop,
    pr: pr !== null && pr !== void 0 ? pr : paddingRight,
    pl: pl !== null && pl !== void 0 ? pl : paddingLeft,
    px: px !== null && px !== void 0 ? px : paddingHorizontal,
    theme
  });

  const _size = (0, _size2.textSizeUtils)({
    size: size !== null && size !== void 0 ? size : fontSize,
    theme
  });

  const _weight = (0, _weight2.weightUtils)({
    bold,
    normal,
    light,
    theme,
    weight: weight !== null && weight !== void 0 ? weight : fontWeight
  });

  const _color = (0, _color2.colorUtils)({
    color,
    theme
  });

  const _align = (0, _align2.textAlignUtils)({
    center,
    right,
    left,
    theme
  });

  const _spacing = (0, _letterSpacing.letterSpacingUtils)({
    ls: ls !== null && ls !== void 0 ? ls : letterSpacing,
    theme
  });

  const _border = (0, _border2.borderUtils)({
    border,
    theme
  });

  const _fontStyle = (0, _fontStyle2.fontStyleUtils)({
    italic
  });

  const _lineHeight = (0, _lineHeight2.lineHeightUtils)({
    lineH: lineH !== null && lineH !== void 0 ? lineH : lineHeight,
    theme
  }, _size.fontSize);

  const _deco = (0, _deco2.decoUtils)({
    deco: deco !== null && deco !== void 0 ? deco : textDecoration
  });

  const _opacity = (0, _opacity2.opacityUtils)({
    o: o !== null && o !== void 0 ? o : opacity,
    theme
  });

  const _fontFamily = (0, _fontFamily2.fontFamilyUtils)({
    font: font !== null && font !== void 0 ? font : fontFamily,
    theme
  });

  const child = (0, _manipulation.manipulationUtils)({
    capitalize,
    capitalizeEach,
    lowercase,
    uppercase,
    children,
    thousand
  });

  const _customStyle = (0, _flattenStyle.flattenStyle)(customStyle);

  const style = _reactNative.StyleSheet.create({
    text: { ..._space,
      ..._size,
      ..._weight,
      ..._color,
      ..._align,
      ..._spacing,
      ..._border,
      ..._fontStyle,
      ..._lineHeight,
      ..._deco,
      ..._opacity,
      ..._fontFamily,
      ..._customStyle
    }
  });

  return (
    /*#__PURE__*/
    // @ts-ignore
    React.createElement(_reactNative.Text, _extends({}, rest, {
      style: style.text
    }), child)
  );
};

Text.defaultProps = {
  style: {}
};
Text.displayName = 'Text';

var _default = (0, _WrappedComponent.default)(Text);

exports.default = _default;
//# sourceMappingURL=Text.js.map