"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.radiusUtils = void 0;

var _lodash = _interopRequireDefault(require("lodash.get"));

var _reactNative = require("react-native");

var React = _interopRequireWildcard(require("react"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// TODO: Update this code
const radiusUtils = props => {
  const _style = {};
  const themeRadius = (0, _lodash.default)(props, ['theme', 'radius']);
  const radius = (0, _lodash.default)(props, 'radius');
  const circle = (0, _lodash.default)(props, 'circle');
  const avatar = (0, _lodash.default)(props, 'avatar');
  const children = (0, _lodash.default)(props, 'children');
  let newChildren = children;

  if (themeRadius) {
    if (avatar && typeof circle === 'number' && children && React.Children.only(children).valueOf() === _reactNative.Image) {
      // @ts-ignore
      newChildren = /*#__PURE__*/React.cloneElement(React.Children.only(children), {
        style: {
          borderRadius: circle / 2,
          height: circle,
          width: circle
        }
      });
      _style.borderRadius = circle / 2;
      _style.height = circle;
      _style.width = circle;
    } else if (typeof circle === 'number') {
      _style.borderRadius = circle / 2;
      _style.height = circle;
      _style.width = circle;
    } else if (radius) {
      if (typeof radius === 'string') {
        const _radius = themeRadius[radius];

        if (_radius) {
          _style.borderRadius = _radius;
        } else {
          if (radius === 'rounded') {
            const height = (0, _lodash.default)(props, ['size', 'height']);
            const width = (0, _lodash.default)(props, ['size', 'width']);

            if (typeof height === 'number' && typeof width === 'number') {
              _style.borderRadius = 99999;
            }
          }
        }
      } else if (typeof radius === 'boolean') {
        const base = (0, _lodash.default)(themeRadius, 'base');

        if (base) {
          _style.borderRadius = base;
        }
      } else if (typeof radius === 'number') {
        _style.borderRadius = radius;
      }
    }
  }

  return {
    style: _style,
    children: newChildren
  };
};

exports.radiusUtils = radiusUtils;
//# sourceMappingURL=radius.js.map