"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.boxRowsUtils = void 0;

var _lodash = _interopRequireDefault(require("lodash.get"));

var React = _interopRequireWildcard(require("react"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const boxRowsUtils = props => {
  let newChild = props.children;
  const rows = (0, _lodash.default)(props, 'rows');

  if (rows && Array.isArray(rows)) {
    newChild = React.Children.map( // @ts-ignore
    props.children, (child, i) => {
      if (child.type === 'Box') {
        return /*#__PURE__*/React.cloneElement(child, {
          f: rows[i] || 1
        });
      }

      throw new Error('Each child for a Box with rows need to be a Box');
    });
  }

  return newChild;
};

exports.boxRowsUtils = boxRowsUtils;
//# sourceMappingURL=rows.js.map