"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.boxSizeUtils = void 0;

var _lodash = _interopRequireDefault(require("lodash.get"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const boxSizeUtils = props => {
  const _style = {};
  const h = (0, _lodash.default)(props, 'h');

  if (h) {
    if (typeof h === 'string') {
      _style.height = h;
    } else if (typeof h === 'number') {
      if (h < 1) {
        _style.height = `${h * 100}%`;
      } else {
        _style.height = h;
      }
    }
  }

  const w = (0, _lodash.default)(props, 'w');

  if (w) {
    if (typeof w === 'string') {
      _style.width = w;
    } else if (typeof w === 'number') {
      if (w < 1) {
        _style.width = `${w * 100}%`;
      } else {
        _style.width = w;
      }
    }
  }

  return _style;
};

exports.boxSizeUtils = boxSizeUtils;
//# sourceMappingURL=size.js.map