"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.spaceUtils = void 0;

var _lodash = _interopRequireDefault(require("lodash.get"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const spaceUtils = props => {
  const _style = {};
  const themeSpace = (0, _lodash.default)(props, ['theme', 'space']);

  if (themeSpace) {
    const mb = (0, _lodash.default)(props, 'mb');

    if (mb) {
      if (typeof mb === 'string') {
        const space = themeSpace[mb];

        if (space) {
          _style.marginBottom = space;
        }
      } else if (typeof mb === 'number') {
        _style.marginBottom = mb;
      }
    }

    const mt = (0, _lodash.default)(props, 'mt');

    if (mt) {
      if (typeof mt === 'string') {
        const space = themeSpace[mt];

        if (space) {
          _style.marginTop = space;
        }
      } else if (typeof mt === 'number') {
        _style.marginTop = mt;
      }
    }

    const mr = (0, _lodash.default)(props, 'mr');

    if (mr) {
      if (typeof mr === 'string') {
        const space = themeSpace[mr];

        if (space) {
          _style.marginRight = space;
        }
      } else if (typeof mr === 'number') {
        _style.marginRight = mr;
      }
    }

    const ml = (0, _lodash.default)(props, 'ml');

    if (ml) {
      if (typeof ml === 'string') {
        const space = themeSpace[ml];

        if (space) {
          _style.marginLeft = space;
        }
      } else if (typeof ml === 'number') {
        _style.marginLeft = ml;
      }
    }

    const my = (0, _lodash.default)(props, 'my');

    if (my) {
      if (typeof my === 'string') {
        const space = themeSpace[my];

        if (space) {
          _style.marginVertical = space;
        }
      } else if (typeof my === 'number') {
        _style.marginVertical = my;
      }
    }

    const mx = (0, _lodash.default)(props, 'mx');

    if (mx) {
      if (typeof mx === 'string') {
        const space = themeSpace[mx];

        if (space) {
          _style.marginHorizontal = space;
        }
      } else if (typeof mx === 'number') {
        _style.marginHorizontal = mx;
      }
    }

    const m = (0, _lodash.default)(props, 'm');

    if (m) {
      if (typeof m === 'string') {
        const space = themeSpace[m];

        if (space) {
          _style.margin = space;
        }
      } else if (typeof m === 'number') {
        _style.margin = m;
      }
    }

    const pb = (0, _lodash.default)(props, 'pb');

    if (pb) {
      if (typeof pb === 'string') {
        const space = themeSpace[pb];

        if (space) {
          _style.paddingBottom = space;
        }
      } else if (typeof pb === 'number') {
        _style.paddingBottom = pb;
      }
    }

    const pt = (0, _lodash.default)(props, 'pt');

    if (pt) {
      if (typeof pt === 'string') {
        const space = themeSpace[pt];

        if (space) {
          _style.paddingTop = space;
        }
      } else if (typeof pt === 'number') {
        _style.paddingTop = pt;
      }
    }

    const pr = (0, _lodash.default)(props, 'pr');

    if (pr) {
      if (typeof pr === 'string') {
        const space = themeSpace[pr];

        if (space) {
          _style.paddingRight = space;
        }
      } else if (typeof pr === 'number') {
        _style.paddingRight = pr;
      }
    }

    const pl = (0, _lodash.default)(props, 'pl');

    if (pl) {
      if (typeof pl === 'string') {
        const space = themeSpace[pl];

        if (space) {
          _style.paddingLeft = space;
        }
      } else if (typeof pl === 'number') {
        _style.paddingLeft = pl;
      }
    }

    const py = (0, _lodash.default)(props, 'py');

    if (py) {
      if (typeof py === 'string') {
        const space = themeSpace[py];

        if (space) {
          _style.paddingVertical = space;
        }
      } else if (typeof py === 'number') {
        _style.paddingVertical = py;
      }
    }

    const px = (0, _lodash.default)(props, 'px');

    if (px) {
      if (typeof px === 'string') {
        const space = themeSpace[px];

        if (space) {
          _style.paddingHorizontal = space;
        }
      } else if (typeof px === 'number') {
        _style.paddingHorizontal = px;
      }
    }

    const p = (0, _lodash.default)(props, 'p');

    if (p) {
      if (typeof p === 'string') {
        const space = themeSpace[p];

        if (space) {
          _style.padding = space;
        }
      } else if (typeof p === 'number') {
        _style.padding = p;
      }
    }
  }

  return _style;
};

exports.spaceUtils = spaceUtils;
//# sourceMappingURL=space.js.map