"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.colorUtils = void 0;

var _lodash = _interopRequireDefault(require("lodash.get"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const colorUtils = props => {
  const _style = {};
  const themeColor = (0, _lodash.default)(props, ['theme', 'color']);
  const color = (0, _lodash.default)(props, 'color');

  if (themeColor) {
    const black = (0, _lodash.default)(themeColor, 'black');

    if (black) {
      _style.color = black;
    }

    if (color) {
      const _color = themeColor[color];

      if (_color) {
        _style.color = _color;
      } else {
        _style.color = color;
      }
    }
  }

  return _style;
};

exports.colorUtils = colorUtils;
//# sourceMappingURL=color.js.map