"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fontFamilyUtils = void 0;

var _lodash = _interopRequireDefault(require("lodash.get"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const fontFamilyUtils = props => {
  const _style = {};
  const themeFamily = (0, _lodash.default)(props, ['theme', 'text', 'fonts']);

  if (themeFamily) {
    const base = (0, _lodash.default)(themeFamily, 'base');

    if (typeof base === 'string') {
      _style.fontFamily = base;
    }

    const font = (0, _lodash.default)(props, 'font');

    if (typeof font === 'string') {
      const _font = (0, _lodash.default)(themeFamily, font);

      if (typeof _font === 'string') {
        _style.fontFamily = _font;
      }
    }
  }

  return _style;
};

exports.fontFamilyUtils = fontFamilyUtils;
//# sourceMappingURL=fontFamily.js.map