"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.letterSpacingUtils = void 0;

var _lodash = _interopRequireDefault(require("lodash.get"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const letterSpacingUtils = props => {
  const _style = {};
  const themeSpacing = (0, _lodash.default)(props, ['theme', 'text', 'spacing']);
  const ls = (0, _lodash.default)(props, 'ls');

  if (themeSpacing) {
    _style.letterSpacing = (0, _lodash.default)(props, ['theme', 'text', 'spacing', 'normal']);
  }

  if (typeof ls === 'string' && themeSpacing) {
    const space = themeSpacing[ls];

    if (space) {
      _style.letterSpacing = space;
    }
  } else if (typeof ls === 'number') {
    _style.letterSpacing = ls;
  }

  return _style;
};

exports.letterSpacingUtils = letterSpacingUtils;
//# sourceMappingURL=letterSpacing.js.map