"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.lineHeightUtils = void 0;

var _lodash = _interopRequireDefault(require("lodash.get"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const lineHeightUtils = (props, fontSize) => {
  const _style = {};
  const themeLineHeight = (0, _lodash.default)(props, ['theme', 'text', 'lineHeight']);
  const height = (0, _lodash.default)(props, 'lineH');

  if (typeof height === 'number') {
    _style.lineHeight = height;
  } else if (themeLineHeight && typeof fontSize === 'number') {
    const normal = (0, _lodash.default)(themeLineHeight, 'normal');

    if (typeof normal === 'number') {
      _style.lineHeight = fontSize * normal;
    }

    if (height) {
      let _size;

      if (typeof height === 'string') {
        _size = themeLineHeight[height];
      } else if (typeof height === 'number') {
        _size = height;
      }

      if (typeof _size === 'number') {
        _style.lineHeight = fontSize * _size;
      }
    }
  }

  return _style;
};

exports.lineHeightUtils = lineHeightUtils;
//# sourceMappingURL=lineHeight.js.map