"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.textSizeUtils = void 0;

var _lodash = _interopRequireDefault(require("lodash.get"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const textSizeUtils = props => {
  const _style = {};
  const themeSize = (0, _lodash.default)(props, ['theme', 'text', 'size']);

  if (themeSize) {
    const base = (0, _lodash.default)(themeSize, 'base');
    _style.fontSize = base;
    const size = (0, _lodash.default)(props, 'size');

    if (size) {
      if (typeof size === 'string') {
        const _size = themeSize[size];

        if (typeof _size === 'number') {
          _style.fontSize = _size;
        }
      } else if (typeof size === 'number') {
        _style.fontSize = size;
      }
    }
  }

  return _style;
};

exports.textSizeUtils = textSizeUtils;
//# sourceMappingURL=size.js.map