"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.weightUtils = void 0;

var _lodash = _interopRequireDefault(require("lodash.get"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const weightUtils = props => {
  const _style = {};
  const lightWeight = (0, _lodash.default)(props, ['theme', 'text', 'weight', 'light']);
  const normalWeight = (0, _lodash.default)(props, ['theme', 'text', 'weight', 'normal']);
  const boldWeight = (0, _lodash.default)(props, ['theme', 'text', 'weight', 'bold']);
  _style.fontWeight = normalWeight;
  const light = (0, _lodash.default)(props, 'light');

  if (light && lightWeight) {
    _style.fontWeight = lightWeight;
  }

  const normal = (0, _lodash.default)(props, 'normal');

  if (normal && normalWeight) {
    _style.fontWeight = normalWeight;
  }

  const bold = (0, _lodash.default)(props, 'bold');

  if (bold && boldWeight) {
    _style.fontWeight = boldWeight;
  }

  const weight = (0, _lodash.default)(props, 'weight');

  if (typeof weight === 'string') {
    _style.fontWeight = weight;
  }

  return _style;
};

exports.weightUtils = weightUtils;
//# sourceMappingURL=weight.js.map