function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from 'react';
import { Text as RnText, StyleSheet } from 'react-native';
import WrappedComponent from './WrappedComponent';
import { spaceUtils } from '../utils/space';
import { textSizeUtils } from '../utils/text/size';
import { weightUtils } from '../utils/text/weight';
import { colorUtils } from '../utils/text/color';
import { textAlignUtils } from '../utils/text/align';
import { letterSpacingUtils } from '../utils/text/letterSpacing';
import { borderUtils } from '../utils/border';
import { manipulationUtils } from '../utils/text/manipulation';
import { fontStyleUtils } from '../utils/text/fontStyle';
import { lineHeightUtils } from '../utils/text/lineHeight';
import { decoUtils } from '../utils/text/deco';
import { opacityUtils } from '../utils/opacity';
import { flattenStyle } from '../utils/flattenStyle';
import { fontFamilyUtils } from '../utils/text/fontFamily';

const Text = ({
  theme,
  border,
  color,
  m,
  margin,
  mb,
  marginBottom,
  mt,
  marginTop,
  mr,
  marginRight,
  ml,
  marginLeft,
  my,
  marginVertical,
  mx,
  marginHorizontal,
  p,
  padding,
  pb,
  paddingBottom,
  pt,
  paddingTop,
  pr,
  paddingRight,
  pl,
  paddingLeft,
  px,
  paddingHorizontal,
  py,
  paddingVertical,
  ls,
  letterSpacing,
  lowercase,
  uppercase,
  capitalize,
  capitalizeEach,
  thousand,
  font,
  fontFamily,
  center,
  right,
  left,
  lineH,
  lineHeight,
  size,
  fontSize,
  bold,
  normal,
  light,
  weight,
  fontWeight,
  o,
  opacity,
  italic,
  deco,
  textDecoration,
  style: customStyle,
  children,
  ...rest
}) => {
  const _space = spaceUtils({
    m: m !== null && m !== void 0 ? m : margin,
    mb: mb !== null && mb !== void 0 ? mb : marginBottom,
    mt: mt !== null && mt !== void 0 ? mt : marginTop,
    mr: mr !== null && mr !== void 0 ? mr : marginRight,
    ml: ml !== null && ml !== void 0 ? ml : marginLeft,
    my: my !== null && my !== void 0 ? my : marginVertical,
    mx: mx !== null && mx !== void 0 ? mx : marginHorizontal,
    p: p !== null && p !== void 0 ? p : padding,
    pb: pb !== null && pb !== void 0 ? pb : paddingBottom,
    py: py !== null && py !== void 0 ? py : paddingVertical,
    pt: pt !== null && pt !== void 0 ? pt : paddingTop,
    pr: pr !== null && pr !== void 0 ? pr : paddingRight,
    pl: pl !== null && pl !== void 0 ? pl : paddingLeft,
    px: px !== null && px !== void 0 ? px : paddingHorizontal,
    theme
  });

  const _size = textSizeUtils({
    size: size !== null && size !== void 0 ? size : fontSize,
    theme
  });

  const _weight = weightUtils({
    bold,
    normal,
    light,
    theme,
    weight: weight !== null && weight !== void 0 ? weight : fontWeight
  });

  const _color = colorUtils({
    color,
    theme
  });

  const _align = textAlignUtils({
    center,
    right,
    left,
    theme
  });

  const _spacing = letterSpacingUtils({
    ls: ls !== null && ls !== void 0 ? ls : letterSpacing,
    theme
  });

  const _border = borderUtils({
    border,
    theme
  });

  const _fontStyle = fontStyleUtils({
    italic
  });

  const _lineHeight = lineHeightUtils({
    lineH: lineH !== null && lineH !== void 0 ? lineH : lineHeight,
    theme
  }, _size.fontSize);

  const _deco = decoUtils({
    deco: deco !== null && deco !== void 0 ? deco : textDecoration
  });

  const _opacity = opacityUtils({
    o: o !== null && o !== void 0 ? o : opacity,
    theme
  });

  const _fontFamily = fontFamilyUtils({
    font: font !== null && font !== void 0 ? font : fontFamily,
    theme
  });

  const child = manipulationUtils({
    capitalize,
    capitalizeEach,
    lowercase,
    uppercase,
    children,
    thousand
  });

  const _customStyle = flattenStyle(customStyle);

  const style = StyleSheet.create({
    text: { ..._space,
      ..._size,
      ..._weight,
      ..._color,
      ..._align,
      ..._spacing,
      ..._border,
      ..._fontStyle,
      ..._lineHeight,
      ..._deco,
      ..._opacity,
      ..._fontFamily,
      ..._customStyle
    }
  });
  return (
    /*#__PURE__*/
    // @ts-ignore
    React.createElement(RnText, _extends({}, rest, {
      style: style.text
    }), child)
  );
};

Text.defaultProps = {
  style: {}
};
Text.displayName = 'Text';
export default WrappedComponent(Text);
//# sourceMappingURL=Text.js.map