import get from 'lodash.get';
import * as React from 'react';
export const boxRowsUtils = props => {
  let newChild = props.children;
  const rows = get(props, 'rows');

  if (rows && Array.isArray(rows)) {
    newChild = React.Children.map( // @ts-ignore
    props.children, (child, i) => {
      if (child.type === 'Box') {
        return /*#__PURE__*/React.cloneElement(child, {
          f: rows[i] || 1
        });
      }

      throw new Error('Each child for a Box with rows need to be a Box');
    });
  }

  return newChild;
};
//# sourceMappingURL=rows.js.map