import get from 'lodash.get';
export const lineHeightUtils = (props, fontSize) => {
  const _style = {};
  const themeLineHeight = get(props, ['theme', 'text', 'lineHeight']);
  const height = get(props, 'lineH');

  if (typeof height === 'number') {
    _style.lineHeight = height;
  } else if (themeLineHeight && typeof fontSize === 'number') {
    const normal = get(themeLineHeight, 'normal');

    if (typeof normal === 'number') {
      _style.lineHeight = fontSize * normal;
    }

    if (height) {
      let _size;

      if (typeof height === 'string') {
        _size = themeLineHeight[height];
      } else if (typeof height === 'number') {
        _size = height;
      }

      if (typeof _size === 'number') {
        _style.lineHeight = fontSize * _size;
      }
    }
  }

  return _style;
};
//# sourceMappingURL=lineHeight.js.map