export namespace theme {
    export namespace text {
        namespace size {
            const sm: number;
            const base: number;
            const md: number;
            const lg: number;
            const xl: number;
        }
        namespace weight {
            const light: string;
            const normal: string;
            const bold: string;
        }
        namespace spacing {
            export const tight: number;
            const normal_1: number;
            export { normal_1 as normal };
            export const wide: number;
        }
        namespace lineHeight {
            export const none: number;
            const tight_1: number;
            export { tight_1 as tight };
            const normal_2: number;
            export { normal_2 as normal };
            export const large: number;
        }
        namespace fonts {
            const base_1: null;
            export { base_1 as base };
        }
    }
    export { color };
    export namespace space {
        export const xs: number;
        const sm_1: number;
        export { sm_1 as sm };
        const md_1: number;
        export { md_1 as md };
        const lg_1: number;
        export { lg_1 as lg };
        const xl_1: number;
        export { xl_1 as xl };
    }
    export namespace radius {
        const xs_1: number;
        export { xs_1 as xs };
        const sm_2: number;
        export { sm_2 as sm };
        const base_2: number;
        export { base_2 as base };
        const lg_2: number;
        export { lg_2 as lg };
        const xl_2: number;
        export { xl_2 as xl };
    }
    export namespace opacity {
        const none_1: number;
        export { none_1 as none };
        export const low: number;
        export const demi: number;
        export const high: number;
        const base_3: number;
        export { base_3 as base };
    }
    export const shadows: {
        shadowColor: string;
        shadowOffset: {
            width: number;
            height: number;
        };
        shadowOpacity: number;
        shadowRadius: number;
    }[];
    export const borders: {
        borderWidth: number;
        borderColor: string;
    }[];
    export namespace button {
        namespace disabled {
            const opacity_1: number;
            export { opacity_1 as opacity };
        }
    }
}
declare namespace color {
    const black: string;
    const greyDarkest: string;
    const greyDarker: string;
    const greyDark: string;
    const grey: string;
    const greyLight: string;
    const greyLighter: string;
    const greyLightest: string;
    const white: string;
    const redDarkest: string;
    const redDarker: string;
    const redDark: string;
    const red: string;
    const redLight: string;
    const redLighter: string;
    const redLightest: string;
    const blueDarkest: string;
    const blueDarker: string;
    const blueDark: string;
    const blue: string;
    const blueLight: string;
    const blueLighter: string;
    const blueLightest: string;
    const purpleDarkest: string;
    const purpleDarker: string;
    const purpleDark: string;
    const purple: string;
    const purpleLight: string;
    const purpleLighter: string;
    const purpleLightest: string;
    const greenDarkest: string;
    const greenDarker: string;
    const greenDark: string;
    const green: string;
    const greenLight: string;
    const greenLighter: string;
    const greenLightest: string;
}
export {};
